﻿@{
    ViewBag.Title = "All Market";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<style>
    table tr td{
        word-break:break-all;
    }
</style>
<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-md-4">
                <h4> Infographics </h4>
            </div>
            <div class="col-md-8 text-right" style="padding-right:35px" ;>
                <a href="~/Infographics/CreateUpdate" class="btn btn-sm btn-inverse width-200">Add New Image</a>
            </div>
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">


            <div class="container" style="margin-top: 20px;">

                <div class="row">
                    <div class="col-md-1">
                        Project:
                    </div>
                    <div class="col-md-3">
                        @Html.DropDownList("ProjectId", (SelectList)(ViewBag.ProjectList), "Please select", htmlAttributes: new { @class = "form-control" })
                    </div>
                    <div class="col-md-1">
                        Category:
                    </div>
                    <div class="col-md-3">
                        @Html.DropDownList("LookupCategoryId", (SelectList)(ViewBag.CategoryList), "Please select", htmlAttributes: new { @class = "form-control" })
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                    <button id="btn_del" class="btn btn-rounded btn-grey m-b-5 width-100" style="float: right;">Delete</button> 
                    </div>
                </div>
            </div>

                <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover" style="width:100% !important;">
                    <thead>
                        <tr class="inverse">
                            <th>Title</th>
                            <th>Category</th>
                            <th>Seq.</th>
                            <th>Image</th>
                            <th style="pointer-events:none!important" data-sorting="disabled">Actions</th>
                            <th data-sorting="disabled"> Select All &nbsp;&nbsp;<input type="checkbox" name="chkSelectall" value="1" id="chkSelectall" /></th>
                        </tr>
                    </thead>
                </table>
            </div>
            <!-- end panel -->
        </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>
<script>
    $(document).ready(function () {
       // $("#data-table").dataTable().fnDestroy();
        $("#data-table").dataTable({ "searching": false });
        BindGrid();
   
        $("#ProjectId").change(function () { 
            $("#data-table").dataTable().fnDestroy();
        BindGrid();
    });

        $("#LookupCategoryId").change(function () {
            $("#data-table").dataTable().fnDestroy();
       
        BindGrid();
        });

        $('#data-table tbody').on('click', 'tr td #del', function () {
             debugger
            var Id = $(this).next().val();            
            var con = confirm("Are you sure you want to delete this image?")
            if (con) {
                $.ajax({
                    type: "GET",
                    url: '@Url.Action("Delete", "Infographics")/' + Id,
                    success: function (result) {
                        $("#data-table").dataTable().fnDestroy();
                        BindGrid();
                    },
                    error: function () {

                    }
                });
            }
            else {
                // Nothing to do here
            }
        });

         $("#btn_del").click(function () {
        var selectedIDs = $("input[name=ChkDelete]:checkbox:checked").map(function () {
            return $(this).data("id");
        }).get();
        var viewmodel = { SelectIdList: selectedIDs }
        var con = confirm("Are you sure you want to delete this image?")
             if (con) {
                 $.ajax({
                     type: "POST",
                     url: '@Url.Action("BulkDelete", "Infographics")',
                     data: viewmodel,
                     success: function (result) {
                         debugger
                         $("#data-table").dataTable().fnDestroy();
                         BindGrid();
                         
                     },
                     error: function () {

                     }
                 });
             }
             else {
                 // Nothing to do here
             }
    });
        
        function BindGrid() {

            $('#chkSelectall').prop('checked', '');

            var projectId = $("#ProjectId option:selected").val();
            var lookupCategoryId = $("#LookupCategoryId option:selected").val();

            var infographic = { LookupCategoryId: lookupCategoryId, ProjectId: projectId };
            if (infographic.ProjectId != "" || infographic.LookupCategoryId != "") {
                var provTable = $("#data-table").dataTable({
                    "destroy": true,
                    columnDefs: [{
                        orderable: false,
                        className: 'select-checkbox',
                        targets: 5
                    }],
                    "searching": false,
                    "processing": true,
                    "serverSide": true,
                    "filter": true,
                    "orderMulti": false,
                    "ajax": {
                        "url": "/Infographics/LoadData",
                        "type": "POST",
                        "datatype": "json",
                        "data": infographic
                    },
                    "columns": [
                        { "data": "infogrTitle", "name": "rawTitle" },
                        { "data": "category", "name": "Category" },
                        { "data": "sequenceNo", "name": "parentSequenceNo" },
                        {
                            render: function (data, type, full, meta) { return '<img src="' + full.imagePath + '" height="50" width="100" alt="No Image">'; }
                        },
                        {
                            render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/Infographics/CreateUpdate?Id=' + full.id + '&ProjectId=' + full.projectId + '&CategoryId=' + full.lookupCategoryId + '"><i class="fas fa-edit"></i></a> <a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Delete" id="del" href="#"><i class="far fa-trash-alt"></i></a><input type="hidden" value="' + full.id + '" />'; }
                        },
                        {
                            render: function (data, type, full, meta) {
                                return '<input type="checkbox" name ="ChkDelete"  id="' + full.id + '" data-id="' + full.id + '">';
                            }
                        },
                    ]
                });

           
          
            }

        }
    
        $('#chkSelectall').on('click', function () {
            debugger;
            //var rows = provTable.rows({ 'search': 'applied' }).nodes();
            //$('input[type="checkbox"]', rows).prop('checked', this.checked);


            var rows, checked;
            rows = $('#data-table').find('tbody tr');
            checked = $(this).prop('checked');
            $.each(rows, function () {
                var checkbox = $($(this).find('td').eq(5)).find('input').prop('checked', checked);
            });


        });


       



        $('#data-table tbody').on('change', 'input[type="checkbox"]', function () {
            // If checkbox is not checked
            if (!this.checked) {
                var el = $('#chkSelectall').get(0);
                // If "Select all" control is checked and has 'indeterminate' property
                if (el && el.checked && ('indeterminate' in el)) {
                    // Set visual state of "Select all" control
                    // as 'indeterminate'
                    //el.indeterminate = true;
                    el.checked = false;

                }
            }
        });


    });

   

    //$('#chkSelectall').change(function () {
    //    alert('sdf');
    //    // Get all rows with search applied
    //    var rows = table.rows({ 'search': 'applied' }).nodes();
    //    // Check/uncheck checkboxes for all rows in the table
    //    $('input[type="checkbox"]', rows).prop('checked', this.checked);
    //});




    //$(".selectAll").on("click", function (e) {
    //    if ($(this).is(":checked")) {
    //        DT1.rows().select();
    //    } else {
    //        DT1.rows().deselect();
    //    }
    //});

   


</script>
